/* *
 * This file is part of Flux
 *
 * Copyright (C) 2009 by LScube team <team@lscube.org>
 * See AUTHORS for more details
 *
 * flux is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or (at your option) any later version.
 *
 * flux is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with flux; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA
 *
 * */

#include "config.h"

#include "depacketizer.hpp"

namespace flux
{
  namespace rtp
  {
    Depacketizer::Depacketizer(unsigned payload_type, std::string const &name)
    : payload_type_(payload_type), name_(name)
    { }

    Depacketizer::~Depacketizer()
    { }

    Depacketizer::ParseResult Depacketizer::parse(Packet const &packet, Depacketizer::FrameBuffer *destination_frame_buffer, Depacketizer::ConfigBuffer *destination_config_buffer)
    {
        return NotImplemented;
    }
  }
}
